#
# spec file for package apfsprogs
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           apfsprogs
Version:        0~git491
Release:        1.1
Summary:        Experimental APFS tools for Linux
License:        GPL-2.0-only
URL:            https://github.com/linux-apfs/apfsprogs
Source0:        %{name}-%{version}.tar.gz

%description
apfsprogs is a suite of userland software to work with the Apple File System
on Linux. It's intended mainly to help test the Linux kernel module that can
be retrieved from <git://github.com/eafer/linux-apfs-rw.git>. The following
are included:

  o mkapfs: an experimental filesystem build tool
  o apfs-snap: a tool to take snapshots of a volume mounted with our module
  o apfsck: a filesystem integrity checker, for now only useful for testers

%prep
%setup -q -n %{name}

%build
make %{?_smp_mflags} -C apfs-snap
make %{?_smp_mflags} -C apfsck
make %{?_smp_mflags} -C mkapfs

%install
%make_install -C apfs-snap BINDIR=%{_sbindir} MANDIR=%{_mandir}
%make_install -C apfsck BINDIR=%{_sbindir} MANDIR=%{_mandir}
%make_install -C mkapfs BINDIR=%{_sbindir} MANDIR=%{_mandir}

%files
%license LICENSE
%doc README
%{_sbindir}/*
%{_mandir}/*

%changelog
* Thu Jun 13 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 0~git491
  * Allow snapshot xids to match the current xid
* Tue May 14 2024 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 0~git490
  * Ignore orphans for directory statistics
  * Don't check the sparse byte count for orphans
  * Support tiny disks in the ephemeral info checks
  * mkapfs: Support containers of less than 128M
  * mkapfs: Pack hardcoded blocks closer together
  * mkapfs: Fix size of spaceman mmap
  * mkapfs: Don't hardcode checkpoint desc/data sizes
  * mkapfs: Fix checkpoint data blocks formula for 3G
  * mkapfs: Remove comment about oldest xid in fq
  * apfsck: Ignore WAS_EVER_CLONED before the epoch
  * Update raw volume superblock to match driver
  * Add checks for new volume flags
  * Add checks for new file extent flags
  * Document the existence of a new xattr flag
  * Allow newer xids in snapshots for sealed volumes
* Sun Dec  3 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to version 0~git475
  * Increase limit for compressed size of files
  * Update check for reserved oids
  * Don't hardcode the size of the ip bitmaps
  * Don't hardcode the sm offset of the cib address
  * apfsck: Don't assume consecutive volume numbers
  * apfsck: Implement checks for multiblock ip bitmaps
  * mkapfs: Support multiblock ip bitmaps
  * apfsck: Improve volume count check
  * apfsck: Check xids for multiblock ip bitmaps
  * mkapfs: Set the whole xid array for ip bitmaps
  * apfsck: Fix check for multiblock ip_bitmap_offset
  * apfsck: Get rid of magical constant for xid array
  * mkapfs: Set multiblock ip_bitmap_offset correctly
  * apfsck: Don't check tails of multiblock ip bitmaps
  * apfsck: Implement checks for cib address blocks
  * apfsck: Support multiblock ephemeral objects
  * mkapfs: Support multiblock spacemans
  * mkapfs: Support cib address blocks
  * mkapfs: Add tests for different container sizes
  * mkapfs: Report release info in apfs_formatted_by
  * Report release info with "-v" flag
  * mkapfs: Correct reported upper size limit
- Restrict license to GPL-2.0-only in License field
* Fri Jun  9 2023 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Initial build
  + Version 0~git453
